/**
 * Padding mods
 */

/* Without padding */

.without-padding__left {
    padding-left: 0;
}

.without-padding__right {
    padding-right: 0;
}

.without-padding__top {
    padding-top: 0;
}

.without-padding__bottom {
    padding-bottom: 0;
}

/* Padding all */

.padding__small {
    padding: 2px;
}

.padding__small--x {
    padding: 4px;
}

.padding__normal {
    padding: 8px;
}

.padding__medium {
    padding: 12px;
}

.padding__medium--x {
    padding: 16px;
}

.padding__big {
    padding: 20px;
}

.padding__big--x {
    padding: 24px;
}

.padding__mega {
    padding: 28px;
}

.padding__mega--x {
    padding: 32px;
}

/* Padding left */

.padding-left__small {
    padding-left: 2px;
}

.padding-left__small--x {
    padding-left: 4px;
}

.padding-left__normal {
    padding-left: 8px;
}

.padding-left__medium {
    padding-left: 12px;
}

.padding-left__medium--x {
    padding-left: 16px;
}

.padding-left__big {
    padding-left: 20px;
}

.padding-left__big--x {
    padding-left: 24px;
}

.padding-left__mega {
    padding-left: 28px;
}

.padding-left__mega--x {
    padding-left: 32px;
}

/* Padding right */

.padding-right__small {
    padding-right: 2px;
}

.padding-right__small--x {
    padding-right: 4px;
}

.padding-right__normal {
    padding-right: 8px;
}

.padding-right__medium {
    padding-right: 12px;
}

.padding-right__medium--x {
    padding-right: 16px;
}

.padding-right__big {
    padding-right: 20px;
}

.padding-right__big--x {
    padding-right: 24px;
}

.padding-right__mega {
    padding-right: 28px;
}

.padding-right__mega--x {
    padding-right: 32px;
}

/* Padding top */

.padding-top__small {
    padding-top: 2px;
}

.padding-top__small--x {
    padding-top: 4px;
}

.padding-top__normal {
    padding-top: 8px;
}

.padding-top__medium {
    padding-top: 12px;
}

.padding-top__medium--x {
    padding-top: 16px;
}

.padding-top__big {
    padding-top: 20px;
}

.padding-top__big--x {
    padding-top: 24px;
}

.padding-top__mega {
    padding-top: 28px;
}

.padding-top__mega--x {
    padding-top: 32px;
}

/* Padding bottom */

.padding-bottom__small {
    padding-bottom: 2px;
}

.padding-bottom__small--x {
    padding-bottom: 4px;
}

.padding-bottom__normal {
    padding-bottom: 8px;
}

.padding-bottom__medium {
    padding-bottom: 12px;
}

.padding-bottom__medium--x {
    padding-bottom: 16px;
}

.padding-bottom__big {
    padding-bottom: 20px;
}

.padding-bottom__big--x {
    padding-bottom: 24px;
}

.padding-bottom__mega {
    padding-bottom: 28px;
}

.padding-bottom__mega--x {
    padding-bottom: 32px;
}
